import { EventEmitter } from "../../../stencil-public-runtime";
import { AuthorCreatorDTO, InspectionGetDTO } from "src/interfaces";
import { States } from "src/utils/utils";
export declare class SwInspection {
  creationId: number;
  inspectionGetDTO: InspectionGetDTO;
  _inspectionGetDTO: InspectionGetDTO;
  state: States;
  _state: States;
  baseUrl: string;
  idPluginAction: number;
  idPlugin: number;
  idTask: number;
  creationDate: Date | string;
  editDate: Date | string;
  actionCreator: AuthorCreatorDTO;
  emitCancel: EventEmitter<{
    html: HTMLElement;
  }>;
  emitCloseAction: EventEmitter<{
    html: HTMLElement;
  }>;
  private element;
  filterTodosValue: any;
  badgeErrorOn: boolean;
  errorMessage: string;
  checkBadgeErrorOn(newValue: boolean): void;
  createInspection(inspectionGetDTO: InspectionGetDTO): void;
  getInspection(): void;
  editInspection(inspectionGetDTO: InspectionGetDTO): void;
  deleteInspection(): void;
  changeState(ev: CustomEvent): void;
  goToEditState(): void;
  padTo2Digits(num: any): any;
  formatDate(date: any): string;
  componentWillLoad(): void;
  addHours(date: any, hours: any): any;
  render(): any;
}
